Continues refinement of product description and HTS code via questions and answers.
This endpoint facilitates the ongoing interactive process for refining a product description and determining its corresponding Harmonized Tariff Schedule (HTS) code.
After initiating a session with the initial product description using the /interactive endpoint, users can continue their interaction via this endpoint by providing answers to the questions returned from the previous interaction. Each interaction refines the product description further, helping the system to accurately identify the correct HTS code. The {sessionId} parameter uniquely identifies the user’s session and ensures that the interaction is continued seamlessly.
Authentication
Path parameters
Headers
Request
Response headers
Response
The Harmonized Tariff Schedule (HTS) code representing the currently provided “newProductDescription”
The API’s prediction for what the final Harmonized Tariff Schedule (HTS) code might be based on the current point of the session.
A value between 0.00 and 1.00 representing the APIs likeliness for a suggestedHts to be the final HTS code. A value of 1.00 can also be interpreted as 100% confidence.